snort-community
=========

This role install and setup Community rules for target

Requirements
------------

.

Role Variables
--------------

- **snort_community_enabled** (boolean): Enable or disable snort support

- **snort_package_name_by_os_family** (array): Each key correspond to [OS family](https://docs.ansible.com/ansible/2.6/user_guide/playbooks_conditionals.html#ansible-os-family), the value correspond to the package name to be installed
- **snort_community_group** (string): Name of the group dedicated to snort
- **snort_community_user** (string): Name of the user dedicated to snort
- **snort_symlink_dest** (string): Destination for symlink (complete with name of link)
- **snort_home_net_address** (string): example 192.168.1.0/24

Dependencies
------------

.

Example Playbook
----------------

`ansible-playbook -i inventory/example.yml handbook.yml --extra-vars="target=example_target" --tags snort`

License
-------

GPLv3

Author Information
------------------

- [Claudio Maradonna](https://social.unitoo.it/claudio)
